# Begin TickleServices Version 1.11 Data
"Divider" = "100.000000";
"Menu Item" = "!Initialization!";
"Tcl" = "\
# Services initialization code.
";
"Window Size" = "{ 1109.000, 1018.000}";
|
"English Key Equivalent" = "";
"English Menu Item" = "Dial";
"German Key Equivalent" = "";
"German Menu Item" = "Whle";
"Key Equivalent" = "";
"Menu Item" = "Whle";
"Send Type" = "NXAsciiPboardType";
"Tcl" = "\
#######################################################
### Copyright (c) 1997 Uli Zappe <uli@nexttoyou.de> ###
### This software may be distributed freely. It     ###
### is delivered AS IS, without any warranty.       ###
###                                                 ###
### Beschrieben in NEXTTOYOU 3/1997                 ###
#######################################################



######### Nutzer-Einstellungen ######################################\
##########################
# serielle Schnittstelle, an der Telefon oder Modem hngen (a,b,c,d,.\
..)
set CUF b
# Vorwahlnummer der eigenen Stadt; einschlielich fhrender Null! (z.\
B. Frankfurt: 069)
set VORWAHL 069
# Vorwahlnummer des eigenen Landes (Deutschland: 49); OHNE Pluszeiche\
n!
set LAND 49
# 1, falls Telefon direkt angesteuert werden kann, 0, falls Wahl ber\
 Modem erfolgt
set TELEFON 1

# Bitrate der seriellen Schnittstelle
set BITRATE 9600
# Zeit bis zur bernahme der Verbindung durchs Telefon bei Modem-Wahl\
 in Sekunden
	# lang genug zur Wahl und Fehler-Erkennung, kurz genug fr rechtzeit\
ige Gesprchs-bernahme
set TIMEOUT 8

# Debug-Ausgabe der Modem-Kommunikation: ON oder OFF
set DEBUG OFF
# Nummer nur anzeigen: 1, regulrer Betrieb: 0
set TEST 0
#####################################################################\
##########################




######### Whl-Programm; ab hier nichts mehr verstellen! ############\
###

# read out phone number; remove all other characters except \"+\" and\
 \"(\"
set number [pasteboard read]
regsub -all \\[^0-9+(\\] $number \"\" number

# replace a leading \"+01\" by \"001\" 
regsub ^\\+01 $number 001 number

# replace \"(\" by \"+\"; reduce \"+\"'s to \"+\" 
regsub -all \\( $number + number
while {[regsub -all \\+\\+ $number + number]} {}

# omit a leading \"+\" if \"0\" follows
regsub ^\\+0 $number \"0\" number
# remove own international area code; replace \"+\" by \"00\" if area\
 code is from another country
set 0 0;
regsub ^\\+$LAND\\+0|^00$LAND\\+0|^\\+$LAND$0|^00$LAND$0|^\\+$LAND|^0\
0$LAND $number 0 number
regsub ^\\+ $number 00 number

# remove own national area code and remaining +'s
regsub -all \\+ $number \"\" number
regsub ^$VORWAHL $number \"\" number

# check if pasteboard string contains numbers
if ![string length $number] {alertpanel \"Dienst \\\"Whle\\\"\" \"Di\
e Auswahl enthlt keine Nummer!\"; return}

# set phone versus modem
set GERAET Modem
if {$TELEFON} {set TIMEOUT 1; set GERAET Telefon}

# dial number
if {$TEST} {alertpanel \"gewhlte Nummer:\" \"$number\"; return}
set MELDUNG [exec /usr/local/bin/kermit -C \" \\
set input echo $DEBUG, set line /dev/cuf$CUF, if failure goto lock, s\
et speed $BITRATE, set parity none, \\
output atz\\\\13, input 1 OK, if success goto dial, output atz\\\\13,\
 input 1 OK, if failure goto dead, \\
:dial, \\
output atd$number\\\\13, minput $TIMEOUT OK BUSY {NO DIALTONE} ERROR,\
 \\
xif = \\\\v(minput) 1 {exit}, \\
xif = \\\\v(minput) 2 {echo \\\\10Der gewhlte Anschlu ist besetzt.,\
 exit}, \\
xif = \\\\v(minput) 3 {echo \\\\10Die Telefonleitung ist tot., exit},\
 \\
xif = $TELEFON 1 {goto telefon}, \\
xif = \\\\v(minput) 0 {exit}, \\
xif = \\\\v(minput) 4 {echo \\\\10Der Telefonhrer ist nicht aufgeleg\
t.\\\\10\\\\10Den Hrer bitte erst nach Wahlbeginn abheben!, exit}, \\
:telefon, \\
xif = \\\\v(minput) 0 {echo \\\\10Das Telefon reagiert nicht korrekt \
auf die gewhlte Nummer., exit}, \\
xif = \\\\v(minput) 4 {echo \\\\10Das Telefon reagiert nicht korrekt \
auf die gewhlte Nummer., exit}, \\
:lock, \\
echo {\\\\10Die serielle Schnittstelle, an der das $GERAET angeschlos\
sen ist, wird schon von einem anderen Programm benutzt.}, exit, \\
:dead, \\
echo {Das $GERAET reagiert nicht oder nicht korrekt.}, exit\"]

# display message, if there is any
	# heuristic bugfix for SET SPEED in KERMIT 5A(190) in case the modem\
 is dead for the first time:
	if [string match ^C... $MELDUNG] {alertpanel \"Dienst \\\"Whle\\\"\"\
 \"Das $GERAET reagiert nicht oder nicht korrekt.\"; return}
if [string length $MELDUNG] {alertpanel \"Dienst \\\"Whle\\\"\" $MEL\
DUNG}
";
# End TickleServices Data
